# Generated by Django 3.2.12 on 2022-08-08 17:04

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('entities', '0005_entity_show_for_donation'),
        ('user_groups', '0005_auto_20210916_1726'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('chapters', '0012_chapter_external_payment_link'),
    ]

    operations = [
        migrations.CreateModel(
            name='CoordinatingAgency',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(max_length=50, unique=True, verbose_name='state')),
                ('create_dt', models.DateTimeField(auto_now_add=True, verbose_name='Created On')),
                ('update_dt', models.DateTimeField(auto_now=True, verbose_name='Last Updated')),
                ('creator_username', models.CharField(max_length=150)),
                ('owner_username', models.CharField(max_length=150)),
            ],
            options={
                'verbose_name_plural': 'Coordinating Agencies',
            },
        ),
        migrations.CreateModel(
            name='CoordinatorUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('coordinating_agency', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='chapters.coordinatingagency')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='coordinatingagency',
            name='coordinators',
            field=models.ManyToManyField(related_name='chapter_coordinators', through='chapters.CoordinatorUser', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='coordinatingagency',
            name='creator',
            field=models.ForeignKey(default=None, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_coord_agencies', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='coordinatingagency',
            name='entity',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='entities.entity'),
        ),
        migrations.AddField(
            model_name='coordinatingagency',
            name='group',
            field=models.ForeignKey(blank=True, help_text='All chapter members in this state will be added to this group.', null=True, on_delete=django.db.models.deletion.CASCADE, to='user_groups.group'),
        ),
        migrations.AddField(
            model_name='coordinatingagency',
            name='owner',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_coord_agencies', to=settings.AUTH_USER_MODEL),
        ),
    ]
