# Generated by Django 2.2.14 on 2020-08-05 14:13

from django.db import migrations


def add_missing_parent_entity(apps, schema_editor):
    """
    Add the missing parent_entity field to the corporate membership app 1.
    """
    CorpMembershipAppField = apps.get_model("corporate_memberships", "CorpMembershipAppField")
    if CorpMembershipAppField.objects.filter(corp_app_id=1).exists():
        if not CorpMembershipAppField.objects.filter(corp_app_id=1, field_name='parent_entity').exists():
            CorpMembershipAppField.objects.create(
                field_name='parent_entity',
                field_type='CharField',
                corp_app_id=1,
                required=False,
                label='Parent Entity',
                position=3,
                display=False)
    

class Migration(migrations.Migration):

    dependencies = [
        ('corporate_memberships', '0017_corpprofile_directory'),
    ]

    operations = [
        migrations.RunPython(add_missing_parent_entity),
    ]
