# Generated by Django 3.2.19 on 2023-07-12 10:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('files', '0007_auto_20200902_1545'),
        ('events', '0024_ceucategory_eventcredit'),
    ]

    operations = [
        migrations.CreateModel(
            name='OrganizerLogo',
            fields=[
                ('file_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='files.file')),
            ],
            bases=('files.file',),
        ),
        migrations.CreateModel(
            name='SponserLogo',
            fields=[
                ('file_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='files.file')),
            ],
            bases=('files.file',),
        ),
        migrations.AddField(
            model_name='event',
            name='delivery_method',
            field=models.CharField(blank=True, max_length=150, null=True),
        ),
        migrations.AddField(
            model_name='event',
            name='event_code',
            field=models.CharField(blank=True, help_text='Optional code representing this event.', max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='event',
            name='event_relationship',
            field=models.CharField(choices=[('parent', 'Is Parent Event'), ('child', 'Is Child Event')], default='parent', help_text="Select 'child' if this is a sub-event of a larger symposium", max_length=50),
        ),
        migrations.AddField(
            model_name='event',
            name='parent',
            field=models.ForeignKey(blank=True, help_text='Larger symposium this event is a part of', null=True, on_delete=django.db.models.deletion.CASCADE, to='events.event'),
        ),
        migrations.AddField(
            model_name='event',
            name='repeat_of',
            field=models.ForeignKey(blank=True, help_text='Select if this child event is a repeat of another. Registrants can only register for one instance of this child event.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='repeat_events', to='events.event'),
        ),
        migrations.AddField(
            model_name='event',
            name='repeat_uuid',
            field=models.UUIDField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='event',
            name='short_name',
            field=models.CharField(blank=True, help_text='Shorter name to display when space is limited (optional).', max_length=150, null=True),
        ),
        migrations.AddField(
            model_name='registrationconfiguration',
            name='allow_guests',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='registrationconfiguration',
            name='guest_limit',
            field=models.PositiveSmallIntegerField(default=0),
        ),
        migrations.AddField(
            model_name='sponsor',
            name='name',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.CreateModel(
            name='EventStaff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('role', models.CharField(max_length=255, verbose_name='Role')),
                ('include_on_certificate', models.BooleanField(default=True, help_text='Check to display name and role on certificate', verbose_name='Include on Certificate')),
                ('event', models.ManyToManyField(to='events.Event')),
            ],
        ),
        migrations.AddField(
            model_name='organizer',
            name='image',
            field=models.ForeignKey(blank=True, help_text='Logo that represents organizer', null=True, on_delete=django.db.models.deletion.SET_NULL, to='events.organizerlogo'),
        ),
        migrations.AddField(
            model_name='sponsor',
            name='image',
            field=models.ForeignKey(blank=True, help_text='Logo that represents organizer', null=True, on_delete=django.db.models.deletion.SET_NULL, to='events.sponserlogo'),
        ),
    ]
